/*
 * T-Plan Robot Enterprise, automated testing tool.
 * Copyright (C) 2009-2013 T-Plan Limited (http://www.t-plan.com),
 * Cloisters House, 8 Battersea Park Road, London, SW8 4BG, United Kingdom.
 * All rights reserved.
 */
package com.tplan.adb;

/**
 * ADB library loader. It ensures that the libraries from the Android SDK are
 * loaded when this plugin is being initialized.
 */
public class AdbLoader {

    static {
        try {
            AdbLoaderHelper.testLibs();
        } catch (Throwable t) {
            // Can't load a class from the Android SDK library -> initialize a dummy
            // "Android Over ADB" connection which will load all the necessary libs
            try {
                AdbLoaderHelper.loadLibs();
            } catch (Throwable t2) {
            }
            // Retest if the class can be loaded now. If it fails display (GUI)
            // or print out (CLI) an error message.
            try {
                AdbLoaderHelper.testLibs();
            } catch (Throwable t2) {
                // Failed to load the libs -> display an error message
                AdbLoaderHelper message = new AdbLoaderHelper(t2);
                new Thread(message).start();
            }
        }
    }
}
